aboutsummaryrefslogtreecommitdiffstats
path: root/bin/make_pdf_derivatives.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/make_pdf_derivatives.sh')
-rwxr-xr-xbin/make_pdf_derivatives.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/bin/make_pdf_derivatives.sh b/bin/make_pdf_derivatives.sh
index 8727119..76c9ebf 100755
--- a/bin/make_pdf_derivatives.sh
+++ b/bin/make_pdf_derivatives.sh
@@ -14,9 +14,9 @@ fi
echo "processing: $PDFPATH"
if [[ ! -f "$FULLTEXTDIR/pdftotext/$BLOBPATH.txt" ]]; then
- pdftotext $PDFPATH $FULLTEXTDIR/pdftotext/$BLOBPATH.txt
+ pdftotext $PDFPATH $FULLTEXTDIR/pdftotext/$BLOBPATH.txt || true
fi
if [[ ! -f "$FULLTEXTDIR/thumbnail/$BLOBPATH.png" ]]; then
- pdftocairo -png -singlefile -scale-to-x 400 -scale-to-y -1 $PDFPATH $FULLTEXTDIR/thumbnail/$BLOBPATH
+ pdftocairo -png -singlefile -scale-to-x 400 -scale-to-y -1 $PDFPATH $FULLTEXTDIR/thumbnail/$BLOBPATH || true
fi